Commit 8cd5813f authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

gst-element-check.m4: rename AM_GST_ELEMENT_CHECK to GST_ELEMENT_CHECK

And allow passing of a minimum version (if not needed, pass 1.0).

https://bugzilla.gnome.org/show_bug.cgi?id=682968
parent 4ab95874
......@@ -37,7 +37,6 @@ mkinstalldirs
py-compile
registry.*
coverage-report.txt
gst-element-check.m4
.deps
.libs
*~
......@@ -50,4 +49,4 @@ Build
*.ipch
*.sdf
*.opensdf
*.DS_Store
\ No newline at end of file
*.DS_Store
......@@ -30,7 +30,7 @@ include $(top_srcdir)/common/win32.mak
EXTRA_DIST = \
gstreamer.spec gstreamer.spec.in \
gst-element-check.m4.in \
gst-element-check.m4 \
configure.ac autogen.sh depcomp \
MAINTAINERS ABOUT-NLS RELEASE gstreamer.doap \
scripts/gst-uninstalled \
......@@ -153,7 +153,7 @@ endif
check: $(CHECK_EXPORTS) check-enum-gettypes
gst-element-check-@GST_API_VERSION@.m4: gst-element-check.m4
$(AM_V_GEN)cp gst-element-check.m4 gst-element-check-@GST_API_VERSION@.m4
$(AM_V_GEN)cp $(srcdir)/gst-element-check.m4 gst-element-check-@GST_API_VERSION@.m4
# cruft: plugins that have been merged or moved or renamed
......
......@@ -796,7 +796,6 @@ pkgconfig/gstreamer-controller.pc
pkgconfig/gstreamer-controller-uninstalled.pc
pkgconfig/gstreamer-net.pc
pkgconfig/gstreamer-net-uninstalled.pc
gst-element-check.m4
gstreamer.spec
)
......
dnl Perform a check for a GStreamer element using gst-inspect-x.y
dnl
dnl GST_ELEMENT_CHECK(ELEMENT-NAME, MIN-VERSION, ACTION-IF-FOUND, ACTION-IF-NOT-FOUND)
dnl
dnl ELEMENT-NAME : element factory name (mandatory)
dnl MIN-VERSION : minimum version required, e.g. 1.0 or 1.0.5 (mandatory)
dnl ACTION-IF_FOUND : action if element exists and is of the desired version
dnl ACTION-IF-NOT-FOUND : action if element does not exist or is too old
dnl
dnl gstapiversion=`echo $2 | tr '.' '\n' | head -n 2 | tr '\n' '.' | sed 's/\.$//'`
AC_DEFUN([GST_ELEMENT_CHECK],
[
AC_REQUIRE([PKG_PROG_PKG_CONFIG])
gstapiversion=`echo "$2" | while IFS=. read a b; do echo "$a.0"; done`
gsttoolsdir=`$PKG_CONFIG --variable=toolsdir gstreamer-$gstapiversion`
if test "x$gsttoolsdir" != "x"; then
gstinspect="$gsttoolsdir/gst-inspect-$gstapiversion"
AC_MSG_CHECKING(GStreamer $gstapiversion element $1 >= $2)
if [ $gstinspect --exists --atleast-version=$2 $1 ]; then
AC_MSG_RESULT([found])
$2
else
if [ $gstinspect --exists $1 ]; then
AC_MSG_RESULT([found, but too old])
else
AC_MSG_RESULT([not found])
fi
$3
fi
fi
])
dnl Perform a check for a GStreamer element using gst-inspect
dnl Thomas Vander Stichele <thomas at apestaart dot org>
dnl Last modification: 25/01/2005
dnl AM_GST_ELEMENT_CHECK(ELEMENT-NAME, ACTION-IF-FOUND, ACTION-IF-NOT-FOUND)
AC_DEFUN([AM_GST_ELEMENT_CHECK],
[
if test "x$GST_INSPECT" = "x"; then
AC_CHECK_PROG(GST_INSPECT, gst-inspect-@GST_API_VERSION@, gst-inspect-@GST_API_VERSION@, [])
fi
if test "x$GST_INSPECT" != "x"; then
AC_MSG_CHECKING(GStreamer @GST_API_VERSION@ element $1)
if [ $GST_INSPECT $1 > /dev/null 2> /dev/null ]; then
AC_MSG_RESULT(found.)
$2
else
AC_MSG_RESULT(not found.)
$3
fi
fi
])
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment